/* TMain */

#import <Cocoa/Cocoa.h>
#import "CClass.h"
#import "TEntry.h"
#import "TMappingDlg.h"

@interface TMain : NSObject
{
    IBOutlet id mainWindow;
    IBOutlet id btnDelete;
    IBOutlet id btnModify;
    IBOutlet id btnNew;
    IBOutlet id tvEntry;
    IBOutlet id mappingDlg;
    IBOutlet id menuDelete;
    IBOutlet id menuModify;
    IBOutlet id menuSave;
    IBOutlet id menuRevert;
	//
    IBOutlet id fileMenu;
    IBOutlet id commandMenu;

	TEntryMap *m_array;
	TEntry *m_newEntry;
}
- (void)awakeFromNib;
- (void)loadSetting;
- (void)saveSetting;
- (int)numberOfRowsInTableView:(NSTableView *)tv;
- (id)tableView:(NSTableView *)tv objectValueForTableColumn:(NSTableColumn *)column row:(int)row;
- (IBAction)doubleClickTvEntryAction:()sender;
- (void)tableViewSelectionDidChange:(NSNotification *)aNotification;
- (void)fixControl;
- (IBAction)menuModifyAction:(id)sender;
- (IBAction)menuNewAction:(id)sender;
- (IBAction)menuSaveAction:(id)sender;
- (IBAction)menuRevertAction:(id)sender;
- (IBAction)menuDeleteAction:(id)sender;
- (IBAction)btnDeleteAction:(id)sender;
- (IBAction)btnModifyAction:(id)sender;
- (IBAction)btnNewAction:(id)sender;
- (void)sheetDidEnd:(NSWindow *)sheet returnCode:(int)returnCode contextInfo:(void *)contextInfo;
- (void)ending;
- (NSApplicationTerminateReply)applicationShouldTerminate:(NSApplication *)sender;

@end
