/* TMappingDlg */

#import <Cocoa/Cocoa.h>
#import "CClass.h"
#import "TEntry.h"
#import "TApplInfo.h"

@interface TMappingDlg : NSObject
{
    IBOutlet id chkBinary;
    IBOutlet id chkDataFork;
    IBOutlet id chkNotIncoming;
    IBOutlet id chkNotOutgoing;
    IBOutlet id chkPostProcess;
    IBOutlet id chkResourceFork;
    IBOutlet id tfApplication;
    IBOutlet id tfCreator;
    IBOutlet id tfEntryName;
    IBOutlet id tfExtension;
    IBOutlet id cbxFileType;
    IBOutlet id tfMIMEType;
    IBOutlet id tfPostCreator;
    IBOutlet id tfPostApplication;
    IBOutlet id window;
	
	BOOL m_result;
	TEntryMap *m_array;
	TEntry *m_entry;
	TEntry *m_entrySaved;
	CString *m_applPath;
	TApplInfo *m_applInfo;
}
- (id)init;
- (void)dealloc;
- (NSWindow *)window;
- (void)setup:(TEntry *)entry andArray:(TEntryMap *)entryArray;
//- (BOOL)doModal;
- (void)doSheet:(NSWindow *)parent modalDelegate:(id)modalDelegate didEndSelector:(SEL)didEndSelector contextInfo:(void *)contextInfo;
- (IBAction)btnCancelAction:(id)sender;
- (IBAction)btnOKAction:(id)sender;
- (IBAction)btnSelectAction:(id)sender;
- (int)numberOfItemsInComboBox:(NSComboBox *)cbx;
- (id)comboBox:(NSComboBox *)cbx objectValueForItemAtIndex:(int)index;
@end
